/*
 * Copyright (c) 2004, 2005, ADAPT project partners (IST-2001-37126).
 * 
 * CustomerServlet.java
 */

package org.eu.adapt.demonstrator.web.retailer;

import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
import org.eu.adapt.demonstrator.web.ADAPTLookAndFeel;
import org.eu.adapt.demonstrator.web.Navigation;

public class IndexServlet extends HttpServlet
{
    public void init()
        throws ServletException
    {
    }

    public void doGet(HttpServletRequest request, HttpServletResponse response)
        throws ServletException, IOException 
    {
        response.setContentType("text/html");
        response.setHeader("Cache-Control", "no-cache");

        PrintWriter writer = response.getWriter();

        ADAPTLookAndFeel.generatePageHeader("..", writer);
        Navigation.generateNavigationHeader("..", writer);
        
        writer.println("<TABLE width=\"100%\" border=\"0\" cellspacing=\"4\" cellpadding=\"4\">");
        writer.println("<TR><TD><A href=\"CustomerReference.html\">Customer Reference</A></TD></TR>");
        writer.println("<TR><TD><A href=\"PurchaseOrder.html\">Purchase Order</A></TD></TR>");
        writer.println("<TR><TD><A href=\"PurchaseOrderItem.html\">Purchase Order Item</A></TD></TR>");
        writer.println("<TR><TD><A href=\"Catalog.html\">Catalog</A></TD></TR>");
        writer.println("<TR><TD><A href=\"CatalogItem.html\">Catalog Item</A></TD></TR>");
        writer.println("<TR><TD><A href=\"Product.html\">Product</A></TD></TR>");
        writer.println("<TR><TD><A href=\"Manufacturer.html\">Manufacturer</A></TD></TR>");
        writer.println("<TR><TD><A href=\"Inventory.html\">Inventory</A></TD></TR>");
        writer.println("<TR><TD><A href=\"Warehouse.html\">Warehouse</A></TD></TR>");
        writer.println("</TABLE>");

        Navigation.generateNavigationFooter(writer);
        ADAPTLookAndFeel.generatePageFooter(writer);
    }
}